//-----------------------------------------------------------------------------
//  Copyright (C) 2005-2015 Thomas S. Ullrich 
//
//  This file is part of the Solitaire Mahjong project.
//
//  This file may be used under the terms of the GNU General Public License.
//  This project is free software; you can redistribute it and/or modify it
//  under the terms of the GNU General Public License.
//  
//  Author: Thomas S. Ullrich
//  Last update: June 1, 2007
//-----------------------------------------------------------------------------
#ifndef smHelpBrowser_h
#define smHelpBrowser_h
 
#include <QWidget>
 
class QPushButton;
class QTextBrowser;
     
class smHelpBrowser :  public QWidget
{
    Q_OBJECT
public:
    smHelpBrowser(const QString &path, const QString &page, QWidget *parent = 0);
     
    static void showPage(const QString &page);
 
protected:
    void showEvent(QShowEvent*);
    void hideEvent(QHideEvent*);

private slots:
    void updateCaption();
 
private:
    QTextBrowser *mTextBrowser;
    QPushButton  *mHomeButton;
    QPushButton  *mBackButton;
    QPushButton  *mCloseButton;
};
#endif
