#-----------------------------------------------------------------------------
#  Copyright (C) 2005-2008 Thomas S. Ullrich 
#
#  This file is part of the Solitaire Mahjong project.
#
#  This file may be used under the terms of the GNU General Public License.
#  This project is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License.
#  
#  Author: Thomas S. Ullrich
#  Last update: October 27, 2007
#-----------------------------------------------------------------------------
TEMPLATE = app
CONFIG  += qt warn_on release c++11
QT += network xml widgets printsupport
RESOURCES += smResources.qrc
win32:RC_FILE += smResources.rc
win32:ICON += smIcons.ico
macx:ICON += smIcons.icns

HEADERS += smAboutDialog.h \
           smBoardView.h \
           smDefinitions.h \
           smHelpBrowser.h \
           smHighscoreEntry.h \
           smHighscoreList.h \
           smPlayedTilesList.h \
           smMainWindow.h \
           smPreferencesDialog.h \
           smSettings.h \
           smTileFactory.h \
           smTileItem.h \
           smTileLayout.h \
           smVersion.h 
           
FORMS += smHighscoreList.ui \
         smMainWindow.ui \
         smPreferencesDialog.ui \
         smPlayedTilesList.ui
         
SOURCES += main.cpp \
           smAboutDialog.cpp \
           smBoardView.cpp \
           smHelpBrowser.cpp \
           smHighscoreEntry.cpp \
           smHighscoreList.cpp \
           smPlayedTilesList.cpp \
           smMainWindow.cpp \
           smPreferencesDialog.cpp \
           smSettings.cpp \
           smTileFactory.cpp \
           smTileItem.cpp \
           smTileLayout.cpp 
