//-----------------------------------------------------------------------------
//  Copyright (C) 2005-2015 Thomas S. Ullrich 
//
//  This file is part of the Solitaire Mahjong project.
//
//  This file may be used under the terms of the GNU General Public License.
//  This project is free software; you can redistribute it and/or modify it
//  under the terms of the GNU General Public License.
//  
//  Author: Thomas S. Ullrich
//  Last update: June 1, 2007
//-----------------------------------------------------------------------------
#ifndef smAboutDialog_h
#define smAboutDialog_h

#include <QPixmap>
#include <QDialog>
#include <QFrame>
#include <QLabel>
#include <QHBoxLayout>
#include <QVBoxLayout>

class QPushButton;

class smAboutDialog : public QDialog
{
    Q_OBJECT
    
public:
    smAboutDialog( QWidget* parent = 0, Qt::WindowFlags fl = 0 );

public slots:
    void accept();
    void license();

private:
    QFrame*      mLine;
    QPushButton* mButtonLicense;
    QPushButton* mButtonOk;
    QLabel*      mTitlePixmapLabel;
    QHBoxLayout* mButtonLayout;
    QVBoxLayout* mLayout;
    QPixmap      mTitlePixmap;
    QString      mVersionText;
    bool         mTitleShown;
};
#endif

