//-----------------------------------------------------------------------------
//  Copyright (C) 2005-2015 Thomas S. Ullrich 
//
//  This file is part of the Solitaire Mahjong project.
//
//  This file may be used under the terms of the GNU General Public License.
//  This project is free software; you can redistribute it and/or modify it
//  under the terms of the GNU General Public License.
//  
//  Author: Thomas S. Ullrich
//  Last update: June 1, 2007
//-----------------------------------------------------------------------------
#ifndef smBoardView_h
#define smBoardView_h
 
#include <QGraphicsView>
#include <QGraphicsScene>
#include <QMouseEvent>
 
class smBoardView : public QGraphicsView
{
    Q_OBJECT

 public:
    smBoardView(QWidget *parent = 0);
    ~smBoardView();

    QGraphicsScene* scene();

protected:
    void mousePressEvent(QMouseEvent*);
    void mouseDoubleClickEvent(QMouseEvent*);

private:
    QGraphicsScene *mScene;
};
 
#endif
